# module Puppet::Util::Backups

### Public Instance Methods

perform_backup(file = nil) click to toggle source

Deal with backups.

    # File lib/puppet/util/backups.rb, line 6
    def perform_backup(file = nil)
      # if they specifically don't want a backup, then just say
      # we're good
      return true unless self[:backup]

      # let the path be specified
      file ||= self[:path]
      return true unless FileTest.exists?(file)

      return(self.bucket ? perform_backup_with_bucket(file) : perform_backup_with_backuplocal(file, self[:backup]))
    end